# Cetmix Tower Server Queue

This module implements asynchronous task execution for Cetmix Tower.

It requires the queue_job module to be installed and configured in the Odoo instance.

Please refer to the official documentation for detailed information.

Table of contents

- Configuration
- Usage
- Changelog
  - 16.0.2.0.0 (2026-03-23)
  - 16.0.1.2.0 (2025-11-12)
  - 16.0.1.1.4 (2025-11-05)
  - 16.0.1.1.3 (2025-10-13)
  - 16.0.1.1.0 (2025-07-16)
  - 16.0.1.0.2 (2025-05-16)
  - 16.0.1.0.1 (2025-05-09)
  - 16.0.1.0.0
- Bug Tracker
- Credits
  - Authors
  - Maintainers

# Configuration

Please refer to the official documentation for detailed configuration instructions.

# Usage

Please refer to the official documentation for detailed usage instructions.

# Changelog

## 16.0.2.0.0 (2026-03-23)

- Features: Jets! (4700)

## 16.0.1.2.0 (2025-11-12)

- Features: Use the ‘web_notify’ module to send user notifications. (5074)

## 16.0.1.1.4 (2025-11-05)

- Bugfixes: Finish multiple commands at once. (5062)

## 16.0.1.1.3 (2025-10-13)

- Features: Terminate running flight plan manually (3410)

## 16.0.1.1.0 (2025-07-16)

- Features: cetmix_tower_server_queue: Add async file upload/download via job queue (3720)
- Features: Terminate command with error if job has failed (4718)

## 16.0.1.0.2 (2025-05-16)

- Features: ‘sudo’ parameter is not passed to command. (4678)

## 16.0.1.0.1 (2025-05-09)

- Bugfixes: Non-critical issues and performance improvements. (4611)

## 16.0.1.0.0

Release for Odoo 16.0

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Cetmix

## Maintainers

This module is part of the cetmix/cetmix-tower project on GitHub.

You are welcome to contribute.